import 'package:flutter/material.dart';

class NoDataScreen extends StatelessWidget {
  final String msg;

  String msgInternetConnection = 'No internet connection found.';

  NoDataScreen(this.msg);

  @override
  Widget build(BuildContext context) {
    return new Container(
      child: new Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Padding(
            padding: const EdgeInsets.all(8.0),
            child:  Image.asset(msg == msgInternetConnection ?
              'images/no_wifi.png' : 'images/no_data.png',
              height: 100,
              width: 100,
              fit: BoxFit.cover,
            ),
          ),
          RichText(
            text: TextSpan(
              text: msg,
              style: new TextStyle(color: Colors.black,fontWeight: FontWeight.bold),
            ),
            softWrap: true,
            maxLines: 2,
            textAlign: TextAlign.center,
          ),
        ],
      ),
    );
  }
}
